org.acplt.oncrpc.web

## Class HttpClientConnection.GetPropertyPrivilegedAction

- java.lang.Object
- - org.acplt.oncrpc.web.HttpClientConnection.GetPropertyPrivilegedAction

All Implemented Interfaces:
  java.security.PrivilegedAction

Enclosing class:
  HttpClientConnection

     class HttpClientConnection.GetPropertyPrivilegedAction
    extends java.lang.Object
    implements java.security.PrivilegedAction

### Field Summary

Fields
`private java.lang.String` `defaultValue` Default value or `null`.
`private java.lang.String` `property` The property to retrieve.

### Constructor Summary

Constructors
Constructor and Description
`HttpClientConnection.GetPropertyPrivilegedAction(java.lang.String property)`
`HttpClientConnection.GetPropertyPrivilegedAction(java.lang.String property, java.lang.String defaultValue)`

### Method Summary

Methods
`java.lang.Object` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### property

    private java.lang.String property

The property to retrieve.

#### defaultValue

    private java.lang.String defaultValue

Default value or `null`.

### Constructor Detail

#### HttpClientConnection.GetPropertyPrivilegedAction

    public HttpClientConnection.GetPropertyPrivilegedAction(java.lang.String property)

#### HttpClientConnection.GetPropertyPrivilegedAction

    public HttpClientConnection.GetPropertyPrivilegedAction(java.lang.String property,
                                                    java.lang.String defaultValue)

### Method Detail

#### run

    public java.lang.Object run()

Specified by:
  `run` in interface `java.security.PrivilegedAction`